<!-- DO NOT EDIT | GENERATED CONTENT -->

# templates init

Get started with a templated template.

## Usage

```console
coder templates init [flags] [directory]
```

## Options

### --id

|      |                                                                                                                                                                                           |
| ---- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Type | <code>enum[aws-devcontainer\|aws-linux\|aws-windows\|azure-linux\|do-linux\|docker\|gcp-devcontainer\|gcp-linux\|gcp-vm-container\|gcp-windows\|kubernetes\|nomad-docker\|scratch]</code> |

Specify a given example template by ID.
